Skip to content
Start here

[DEPRECATED] Delete Pipeline

Deprecated
client.pipelines.delete(stringpipelineName, PipelineDeleteParams { account_id } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/pipelines/{pipeline_name}

[DEPRECATED] Delete a pipeline. Use the new /pipelines/v1/pipelines endpoint instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
pipelineName: string

Defines the name of the pipeline.

maxLength128
minLength1
params: PipelineDeleteParams { account_id }
account_id: string

Specifies the public ID of the account.

[DEPRECATED] Delete Pipeline

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.pipelines.delete('sample_pipeline', {
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
});
Returns Examples